Ticket #40947

thrown_spell not set in initialize_melee_spell_type()

Open Date: 2020-11-12 08:35 Last Update: 2021-01-24 21:24

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
Priority:
2
Severity:
2
Resolution:
Fixed
File:
None

Details

In the current For2.2.2-Refactoring branch, initialize_melee_spell_type() (at line 17 of melee/melee-spell-util.c) references ms_ptr->thrown_spell but does not assign anything to it. That generates a compiler warning with the clang compiler and possibly leaves ms_ptr->thrown_spell improperly initialized.

Ticket History (3/4 Histories)

2020-11-12 08:35 Updated by: backwardseric
  • New Ticket "thrown_spell not set in initialize_melee_spell_type()" created
2020-12-04 01:17 Updated by: backwardseric
  • Status Update from Open to Closed
Comment

Habu's commit, https://osdn.net/projects/hengband/scm/git/hengband/commits/cc7ad0f84a75064a24c2f14020f3ae1900d4634c , on the release/3.0.0Alpha branch fixes this. I've marked the ticket as closed because of that.

2020-12-04 08:10 Updated by: deskull
Comment

All right. Thanks.

2021-01-24 21:24 Updated by: deskull

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login